<?php
add_action('init', function () {

    register_block_type(ECHOAI_PLUGIN_PATH . '/build/blocks/chat', [
        'render_callback' => 'echoai_render_chat_block'
    ]);

});

function echoai_render_chat_block($attributes)
{

    ob_start();
    wp_enqueue_script('echoaisdk');
    include ECHOAI_PLUGIN_PATH . '/src/templates/ai-client-gutenberg.php';
    return ob_get_clean();

}

add_action('enqueue_block_editor_assets', function () {
    wp_enqueue_style('echoaicss');
    wp_enqueue_script('echo-ai-js-sdk');
});

